> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /courtlistener/courts/search

> List US courts, optionally filtered by jurisdiction, active use and scraper availability

**Price:** 1 credit per 20 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/courtlistener/courts/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/courtlistener/courts/search:
    post:
      tags:
        - /courtlistener
      summary: /courtlistener/courts/search
      description: >-
        List US courts, optionally filtered by jurisdiction, active use and
        scraper availability


        **Price:** 1 credit per 20 results
      operationId: __api_courtlistener_courts_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CourtlistenerCourtsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CourtlistenerCourt'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CourtlistenerCourtsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        jurisdiction:
          anyOf:
            - $ref: '#/components/schemas/CourtlistenerJurisdiction'
            - type: 'null'
        in_use:
          anyOf:
            - type: boolean
            - type: 'null'
        has_opinion_scraper:
          anyOf:
            - type: boolean
            - type: 'null'
        has_oral_argument_scraper:
          anyOf:
            - type: boolean
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    CourtlistenerCourt:
      properties:
        '@type':
          type: string
          default: CourtlistenerCourt
        id:
          type: string
        short_name:
          anyOf:
            - type: string
            - type: 'null'
        full_name:
          anyOf:
            - type: string
            - type: 'null'
        citation_string:
          anyOf:
            - type: string
            - type: 'null'
        jurisdiction:
          anyOf:
            - type: string
            - type: 'null'
        in_use:
          type: boolean
          default: false
        has_opinion_scraper:
          type: boolean
          default: false
        has_oral_argument_scraper:
          type: boolean
          default: false
        position:
          anyOf:
            - type: number
            - type: 'null'
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        pacer_court_id:
          anyOf:
            - type: string
            - type: 'null'
        fjc_court_id:
          anyOf:
            - type: string
            - type: 'null'
        parent_court:
          anyOf:
            - type: string
            - type: 'null'
        appeals_to:
          items:
            type: string
          type: array
          default: []
        start_at:
          anyOf:
            - type: integer
            - type: 'null'
        end_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CourtlistenerJurisdiction:
      type: string
      enum:
        - F
        - FD
        - FB
        - FBP
        - FS
        - S
        - SA
        - ST
        - SS
        - TRS
        - TRA
        - TRT
        - TRX
        - TS
        - TA
        - TT
        - TSP
        - SAG
        - MA
        - MT
        - C
        - I
        - T
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````